Index: ram/execkey.s
===================================================================
--- ram/execkey.s	(revision f40a3096572fd1b0696a7f7c717464e68652e655)
+++ ram/execkey.s	(revision a6f5b952e80b43751c6e71c39b103f7d314f8e4e)
@@ -1,16 +1,16 @@
-* ------------------------------------------------------------------------------
-* execkey.s -- execute key -- FPU function start subroutine
-* Version 15 -- 1988-08-29 -- D.N. Lynx Crowe
-* Hand optimized version of execkey() and fnstart() from C compiler output
-* ------------------------------------------------------------------------------
+| ------------------------------------------------------------------------------
+| execkey.s -- execute key -- FPU function start subroutine
+| Version 15 -- 1988-08-29 -- D.N. Lynx Crowe
+| Hand optimized version of execkey() and fnstart() from C compiler output
+| ------------------------------------------------------------------------------
 		.text
-*
-LOC_EOR		.equ	0
-LOC_SUB		.equ	1
-*
+
+LOC_EOR		=	0
+LOC_SUB		=	1
+
 		.xdef	_execkey
-*
+
 		.xref	_xgetran
-*
+
 		.xref	_rsntab
 		.xref	_expbit
@@ -26,77 +26,77 @@
 		.xref	_veltab
 		.xref	_vpsms
-*
-		.page
-*
-* Offsets for execkey() parameters
-* -------------------------------- 
-TRG		.equ	8		* WORD -- trigger
-PCH		.equ	10		* WORD -- pitch
-VCE		.equ	12		* WORD -- voice  (0..11)
-TAG		.equ	14		* WORD -- I_TM_... inversion tag
-*
-* Register variables
-* ------------------
-A_FP		.equ	A5		* LONG -- struct idfnhdr *
-A_FPU		.equ	A4		* LONG -- FPU base address
-A_SMP		.equ	A3		* LONG -- struct sment *
-*
-R_FPMANT	.equ	D7		* WORD -- FPU time mantissa
-R_FPEXP		.equ	D6		* WORD -- FPU time exponent
-R_FPCTL		.equ	D5		* WORD -- FPU control word
-R_I		.equ	D4		* WORD -- loop index
-R_FPVAL		.equ	D3		* WORD -- FPU value
-*
-* Local (stack) variables
-* -----------------------
-PT		.equ	-4		* LONG -- instpnt *
-VEP		.equ	-8		* LONG -- struct valent *
-OLDI		.equ	-10		* WORD -- old IPL  (sr)
-OCTYPE		.equ	-12		* WORD -- oscillator 1 mode / scratch
-VP		.equ	-14		* WORD -- voice # + function # index
-SRCNUM		.equ	-16		* WORD -- general source #
-SRCVAL		.equ	-18		* WORD -- general source value
-TSRCVAL		.equ	-20		* WORD -- temporary general source value
-MLTVAL		.equ	-22		* WORD -- general source multiplier
-TFPVAL		.equ	-24		* WORD -- temporary FPU value
-LTMP		.equ	-28		* LONG -- long temporary
-IP		.equ	-32		* LONG -- struct instdef *
-GROUP		.equ	-34		* WORD -- group number << 4
-*
-* Symbolic constants
-* ------------------
-LASTLOCL	.equ	GROUP		* last local on the stack
-*
-FPU_DI		.equ	$2200		* sr value for disabling FPU interrupts
-PITCHMAX	.equ	21920		* maximum pitch value
-VALMAX		.equ	$00007D00	* maximum FPU value
-VALMIN		.equ	$FFFF8300	* minimum FPU value
-VBLEN		.equ	3938		* length of a voice buffer
-LSPCH		.equ	2		* left shift for pitch sources
-*
-		.page
-*
-* execkey(trg, pch, vce)
-* short trg, pch, vce;
-* {
-*
+
+		.page
+
+| Offsets for execkey() parameters
+| --------------------------------
+TRG		=	8		| WORD -- trigger
+PCH		=	10		| WORD -- pitch
+VCE		=	12		| WORD -- voice  (0..11)
+TAG		=	14		| WORD -- I_TM_... inversion tag
+
+| Register variables
+| ------------------
+A_FP		=	A5		| LONG -- struct idfnhdr |
+A_FPU		=	A4		| LONG -- FPU base address
+A_SMP		=	A3		| LONG -- struct sment |
+
+R_FPMANT	=	D7		| WORD -- FPU time mantissa
+R_FPEXP		=	D6		| WORD -- FPU time exponent
+R_FPCTL		=	D5		| WORD -- FPU control word
+R_I		=	D4		| WORD -- loop index
+R_FPVAL		=	D3		| WORD -- FPU value
+
+| Local (stack) variables
+| -----------------------
+PT		=	-4		| LONG -- instpnt |
+VEP		=	-8		| LONG -- struct valent |
+OLDI		=	-10		| WORD -- old IPL  (sr)
+OCTYPE		=	-12		| WORD -- oscillator 1 mode / scratch
+VP		=	-14		| WORD -- voice # + function # index
+SRCNUM		=	-16		| WORD -- general source #
+SRCVAL		=	-18		| WORD -- general source value
+TSRCVAL		=	-20		| WORD -- temporary general source value
+MLTVAL		=	-22		| WORD -- general source multiplier
+TFPVAL		=	-24		| WORD -- temporary FPU value
+LTMP		=	-28		| LONG -- long temporary
+IP		=	-32		| LONG -- struct instdef |
+GROUP		=	-34		| WORD -- group number << 4
+
+| Symbolic constants
+| ------------------
+LASTLOCL	=	GROUP		| last local on the stack
+
+FPU_DI		=	0x2200		| sr value for disabling FPU interrupts
+PITCHMAX	=	21920		| maximum pitch value
+VALMAX		=	0x00007D00	| maximum FPU value
+VALMIN		=	0xFFFF8300	| minimum FPU value
+VBLEN		=	3938		| length of a voice buffer
+LSPCH		=	2		| left shift for pitch sources
+
+		.page
+
+| execkey(trg, pch, vce)
+| short trg, pch, vce;
+| {
+
 _execkey:	link	A6,#LASTLOCL
 		movem.l	D2-R_FPMANT/A_SMP-A_FP,-(sp)
-*
-*	ip = &vbufs[vce];
-*
+
+|	ip = &vbufs[vce];
+
 		move.w	VCE(A6),D0
 		asl.w	#2,D0
 		lea	vbtab,A0
 		move.l	0(A0,D0.W),IP(A6)
-*
-*	vce2trg[vce] = trg;
-*
+
+|	vce2trg[vce] = trg;
+
 		lsr.w	#1,D0
 		lea	_vce2trg,A0
 		move.w	TRG(A6),0(A0,D0.W)
-*
-*	group = (vce2grp[vce] - 1) << 4;
-*
+
+|	group = (vce2grp[vce] - 1) << 4;
+
 		move.w	VCE(A6),A0
 		add.l	A0,A0
@@ -107,12 +107,12 @@
 		asl.w	#4,D0
 		move.w	D0,GROUP(A6)
-*
-		.page
-* ------------------------------------------------------------------------------
-* Start function 0 -- Frq 1
-* ------------------------------------------------------------------------------
-*
-*    if (ip->idhfnc[0].idftmd & I_TM_KEY) {
-*
+
+		.page
+| ------------------------------------------------------------------------------
+| Start function 0 -- Frq 1
+| ------------------------------------------------------------------------------
+
+|    if (ip->idhfnc[0].idftmd & I_TM_KEY) {
+
 		move.l	IP(A6),A0
 		move.b	93(A0),D0
@@ -121,28 +121,28 @@
 		btst	#0,D0
 		bne	FN00A
-*
+
 		jmp	FN01
-*
-*	vp = (vce << 4) + 1;
-*
+
+|	vp = (vce << 4) + 1;
+
 FN00A:		move	VCE(A6),D0
 		asl	#4,D0
 		add.w	#1,D0
 		move	D0,VP(A6)
-*
-*	fpu = io_fpu + FPU_OFNC + (vp << 4);
-*
+
+|	fpu = io_fpu + FPU_OFNC + (vp << 4);
+
 		asl	#5,D0
 		ext.l	D0
 		move.l	D0,A_FPU
-		add.l	#_io_fpu+$4000,A_FPU
-*
-*	fp = &ip->idhfnc[0];
-*
+		add.l	#_io_fpu+0x4000,A_FPU
+
+|	fp = &ip->idhfnc[0];
+
 		move.l	IP(A6),A_FP
 		add.l	#86,A_FP
-*
-*	pt = &ip->idhpnt[fp->idfpt1];
-*
+
+|	pt = &ip->idhpnt[fp->idfpt1];
+
 		clr.l	D0
 		move.b	6(A_FP),D0
@@ -154,9 +154,9 @@
 		add.l	#242,D0
 		move.l	D0,PT(A6)
-*
-		.page
-*
-*	srcnum = group | fp->idfsrc;
-*
+
+		.page
+
+|	srcnum = group | fp->idfsrc;
+
 		move.w	GROUP(A6),D0
 		ext.l	D0
@@ -165,7 +165,7 @@
 		or	D1,D0
 		move	D0,SRCNUM(A6)
-*
-*	vep = &valents[srcnum];
-*
+
+|	vep = &valents[srcnum];
+
 		add.l	D0,D0
 		move.l	D0,D1
@@ -174,7 +174,7 @@
 		add.l	#_valents,D0
 		move.l	D0,VEP(A6)
-*
-*	smp = vpsms[vp];
-*
+
+|	smp = vpsms[vp];
+
 		move	VP(A6),A0
 		add.l	A0,A0
@@ -182,174 +182,174 @@
 		add.l	#_vpsms,A0
 		move.l	(A0),A_SMP
-*
-*	if (srcnum NE smp->sm) {
-*
+
+|	if (srcnum NE smp->sm) {
+
 		clr	D0
 		move	10(A_SMP),D0
 		cmp	SRCNUM(A6),D0
 		beq	F00L113
-*
-*		(smp->prv)->nxt = smp->nxt;
-*
+
+|		(smp->prv)->nxt = smp->nxt;
+
 		move.l	4(A_SMP),A0
 		move.l	(A_SMP),(A0)
-*
-*		(smp->nxt)->prv = smp->prv;
-*
+
+|		(smp->nxt)->prv = smp->prv;
+
 		move.l	(A_SMP),A0
 		move.l	4(A_SMP),4(A0)
-*
-*		smp->prv = (struct sment *)vep;
-*
+
+|		smp->prv = (struct sment |)vep;
+
 		move.l	VEP(A6),4(A_SMP)
-*
-*		smp->nxt = vep->nxt;
-*
+
+|		smp->nxt = vep->nxt;
+
 		move.l	VEP(A6),A0
 		move.l	(A0),(A_SMP)
-*
-*		(vep->nxt)->prv = smp;
-*
+
+|		(vep->nxt)->prv = smp;
+
 		move.l	VEP(A6),A0
 		move.l	(A0),A0
 		move.l	A_SMP,4(A0)
-*
-*		vep->nxt = smp;
-*
+
+|		vep->nxt = smp;
+
 		move.l	VEP(A6),A0
 		move.l	A_SMP,(A0)
-*
-*		smp->sm = srcnum;
-*
+
+|		smp->sm = srcnum;
+
 		move	SRCNUM(A6),10(A_SMP)
-*
-*	}
-*
-*	mltval = fp->idfmlt;
-*
+
+|	}
+
+|	mltval = fp->idfmlt;
+
 F00L113:	move	2(A_FP),MLTVAL(A6)
-*
-		.page
-*
-*	switch (fp->idfsrc) {
-*
+
+		.page
+
+|	switch (fp->idfsrc) {
+
 		move.b	4(A_FP),D0
 		ext.w	d0
 		cmp	#10,D0
 		bhi	F00L122
-*
+
 		asl	#2,D0
 		lea	F00L123,A0
 		movea.l	0(A0,D0.W),A0
 		jmp	(A0)
-*
-*	case SM_NONE:
-*		mltval = 0;
-*
+
+|	case SM_NONE:
+|		mltval = 0;
+
 F00L116:	clr	MLTVAL(A6)
-*
-*		tsrcval = 0;
-*
+
+|		tsrcval = 0;
+
 		clr	TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F00L114
-*
-*	case SM_RAND:
-*		tsrcval = xgetran(mltval);
-*
+
+|	case SM_RAND:
+|		tsrcval = xgetran(mltval);
+
 F00L117:	move	MLTVAL(A6),(sp)
 		jsr	_xgetran
 		move	D0,TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F00L114
-*
-*	case SM_PTCH:
-*		tsrcval = pch;
-*
+
+|	case SM_PTCH:
+|		tsrcval = pch;
+
 F00L118:	move	PCH(A6),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F00L114
-*
-		.page
-*
-*	case SM_FREQ:
-*		tsrcval = ptoftab[(pch >> 7) & 0x00FF];
-*
+
+		.page
+
+|	case SM_FREQ:
+|		tsrcval = ptoftab[(pch >> 7) & 0x00FF];
+
 F00L119:	move.w	PCH(A6),D0
 		asr.w	#7,D0
-		and.w	#$00FF,D0
+		and.w	#0x00FF,D0
 		move.w	D0,A0
 		add.l	A0,A0
 		add.l	#_ptoftab,A0
 		move.w	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F00L114
-*
-*	case SM_KVEL:
-*		tsrcval = veltab[trg];
-*
+
+|	case SM_KVEL:
+|		tsrcval = veltab[trg];
+
 F00L120:	move.w	TRG(A6),A0
 		add.l	A0,A0
 		add.l	#_veltab,A0
 		move.w	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F00L114
-*
-*	case SM_KPRS:
-*		tsrcval = prstab[trg];
-*
+
+|	case SM_KPRS:
+|		tsrcval = prstab[trg];
+
 F00L121:	move.w	TRG(A6),A0
 		add.l	A0,A0
 		add.l	#_prstab,A0
 		move.w	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F00L114
-*
-*	default:
-*		tsrcval = vep->val;
-*
+
+|	default:
+|		tsrcval = vep->val;
+
 F00L122:	move.l	VEP(A6),A0
 		move.w	8(A0),TSRCVAL(A6)
-*
-*	}
-*
-		.page
-*
-*		srcval = addpch(tsrcval, 0);
-*
+
+|	}
+
+		.page
+
+|		srcval = addpch(tsrcval, 0);
+
 F00L114:	move.w	TSRCVAL(A6),D0
 		ext.l	D0
 		asr.l	#5,D0
-*		sub.l	#500,D0
+|		sub.l	#500,D0
 		asl.l	#LSPCH,D0
 		cmp.l	#PITCHMAX,D0
 		ble	F00L129A
-*
+
 		move.l	#PITCHMAX,D0
-*
+
 F00L129A:	move	D0,SRCVAL(A6)
-*
-		.page
-*
-*	if (pt->ipvsrc) {
-*
+
+		.page
+
+|	if (pt->ipvsrc) {
+
 F00L124:	move.l	PT(A6),A0
 		tst.b	6(A0)
 		beq	F00L136
-*
-*		switch (pt->ipvsrc) {
-*
+
+|		switch (pt->ipvsrc) {
+
 		move.l	PT(A6),A0
 		move.b	6(A0),D0
@@ -358,13 +358,13 @@
 		cmp	#9,D0
 		bhi	F00L144
-*
+
 		asl	#2,D0
 		lea	F00L145,A0
 		move.l	0(A0,D0.W),A0
 		jmp	(A0)
-*
-*		case SM_RAND:
-*			ltmp = xgetran(pt_>ipvmlt);
-*
+
+|		case SM_RAND:
+|			ltmp = xgetran(pt_>ipvmlt);
+
 F00L139:	move.l	PT(A6),A0
 		move	4(A0),(sp)
@@ -372,24 +372,24 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F00L137
-*
-*		case SM_PTCH:
-*			ltmp = pch;
-*
+
+|		case SM_PTCH:
+|			ltmp = pch;
+
 F00L140:	move	PCH(A6),A0
 		move.l	A0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F00L137
-*
-		.page
-*
-*		case SM_FREQ:
-*			ltmp = ptoftab[(pch >> 7) & 0x00FF];
-*
+
+		.page
+
+|		case SM_FREQ:
+|			ltmp = ptoftab[(pch >> 7) & 0x00FF];
+
 F00L141:	move	PCH(A6),D0
 		asr	#7,D0
@@ -401,12 +401,12 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F00L137
-*
-*		case SM_KVEL:
-*			ltmp = veltab[trg];
-*
+
+|		case SM_KVEL:
+|			ltmp = veltab[trg];
+
 F00L142:	move	TRG(A6),A0
 		add.l	A0,A0
@@ -415,14 +415,14 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F00L137
-*
-		.page
-*
-*		case SM_KPRS:
-*			ltmp = prstab[trg];
-*
+
+		.page
+
+|		case SM_KPRS:
+|			ltmp = prstab[trg];
+
 F00L143:	move	TRG(A6),A0
 		add.l	A0,A0
@@ -431,14 +431,14 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F00L137
-*
-		.page
-*
-*		default:
-*			ltmp = valents[group | pt->ipvsrc].val;
-*
+
+		.page
+
+|		default:
+|			ltmp = valents[group | pt->ipvsrc].val;
+
 F00L144:	move.l	PT(A6),A0
 		clr.l	D0
@@ -454,12 +454,12 @@
 		move	8(A0,A1.l),D0
 		move.l	D0,LTMP(A6)
-*
-*		}
-*
-*
-		.page
-*
-*		ltmp = (ltmp * pt->ipvmlt) >> 15;
-*
+
+|		}
+
+
+		.page
+
+|		ltmp = (ltmp | pt->ipvmlt) >> 15;
+
 F00L137:	move.l	PT(A6),A0
 		move.w	4(A0),D0
@@ -469,52 +469,52 @@
 		asr.l	D1,D0
 		move.l	D0,LTMP(A6)
-*
-*		ltmp += (long)pt->ipval;
-*
+
+|		ltmp += (long)pt->ipval;
+
 		move.l	PT(A6),A0
 		move	2(A0),D0
 		ext.l	D0
 		add.l	D0,LTMP(A6)
-*
-*		if (ltmp GT (long)VALMAX)
-*			ltmp = (long)VALMAX;
-*
+
+|		if (ltmp GT (long)VALMAX)
+|			ltmp = (long)VALMAX;
+
 		cmp.l	#VALMAX,LTMP(A6)
 		ble	F00L146
-*
+
 		move.l	#VALMAX,LTMP(A6)
 		bra	F00L147
-*
-*		else if (ltmp LT (long)VALMIN)
-*			ltmp = (long)VALMIN;
-*
+
+|		else if (ltmp LT (long)VALMIN)
+|			ltmp = (long)VALMIN;
+
 F00L146:	cmp.l	#VALMIN,LTMP(A6)
 		bge	F00L147
-*
+
 		move.l	#VALMIN,LTMP(A6)
-*
-*		tfpval = (short)ltmp;
-*
+
+|		tfpval = (short)ltmp;
+
 F00L147:	move.w	LTMP+2(A6),TFPVAL(A6)
 		bra	F00L149
-*
-*	} else {
-*
-*		tfpval = pt->ipval;
-*
+
+|	} else {
+
+|		tfpval = pt->ipval;
+
 F00L136:	move.l	PT(A6),A0
 		move	2(A0),TFPVAL(A6)
-*
-*	}
-*
-		.page
-*
-*	fpmant = (((long)pt->iptim & 0x0000FFF0L)
-*		* ((long)timemlt & 0x0000FFFFL)) >> 15;
-*
+
+|	}
+
+		.page
+
+|	fpmant = (((long)pt->iptim & 0x0000FFF0L)
+|		| ((long)timemlt & 0x0000FFFFL)) >> 15;
+
 F00L149:	move.l	PT(A6),A0
 		move.w	(A0),D0
 		move.w	D0,D2
-		andi.w	#$FFF0,D0
+		andi.w	#0xFFF0,D0
 		move.w	_timemlt,D1
 		muls	D1,D0
@@ -522,38 +522,38 @@
 		asr.l	D1,D0
 		move	D0,R_FPMANT
-*
-*	fpexp = expbit[pt->iptim & 0x000F];
-*
-		and	#$000F,D2
+
+|	fpexp = expbit[pt->iptim & 0x000F];
+
+		and	#0x000F,D2
 		move	D2,A0
 		add.l	A0,A0
 		add.l	#_expbit,A0
 		move	(A0),R_FPEXP
-*
-		.page
-*
-*		octype = ip->idhos1c & OC_MOD;
-*
+
+		.page
+
+|		octype = ip->idhos1c & OC_MOD;
+
 F00L152:	move.l	IP(A6),A0
 		move.b	74(A0),D0
 		and	#3,D0
-*
-*		if ((octype EQ OC_FRQ) OR (octype EQ OC_PCH))
-*
+
+|		if ((octype EQ OC_FRQ) OR (octype EQ OC_PCH))
+
 		cmp	#2,D0
 		beq	F00L1001
-*
+
 		cmp	#3,D0
 		bne	F00L153
-*
-*			fp->idfpch = ip->idhos1v;
-*
+
+|			fp->idfpch = ip->idhos1v;
+
 F00L1001:	move.l	IP(A6),A0
 		move	78(A0),(A_FP)
 		bra	F00L154
-*
-*		else
-*			fp->idfpch = pch + ip->idhos1v;
-*
+
+|		else
+|			fp->idfpch = pch + ip->idhos1v;
+
 F00L153:	move.w	PCH(A6),D0
 		ext.l	D0
@@ -561,17 +561,17 @@
 		ext.l	D1
 		add.l	d1,d0
-*
-*		if (fp->idfpch > PITCHMAX)
-*			fp->idfpch = PITCHMAX;
-*
+
+|		if (fp->idfpch > PITCHMAX)
+|			fp->idfpch = PITCHMAX;
+
 		cmp.l	#PITCHMAX,d0
 		ble	F00153A
-*
+
 		move.l	#PITCHMAX,d0
-*
+
 F00153A:	move.w	d0,(A_FP)
-*
-*		fpval = addpch(tfpval, fp->idfpch);
-*
+
+|		fpval = addpch(tfpval, fp->idfpch);
+
 F00L154:	move.w	TFPVAL(A6),D1
 		ext.l	D1
@@ -584,128 +584,128 @@
 		cmp.l	#PITCHMAX,D0
 		ble	F00L154A
-*
+
 		move.l	#PITCHMAX,D0
-*
+
 F00L154A:	move	D0,R_FPVAL
-*
-		.page
-*
+
+		.page
+
 		move.b	5(A_FP),D0
 		ext.w	D0
 		sub.w	#1,D0
 		movea.l	PT(A6),A0
-*
-*	oldi = setipl(FPU_DI);
-*
+
+|	oldi = setipl(FPU_DI);
+
 		move	sr,OLDI(A6)
 		move	#FPU_DI,sr
-*
+
 F00L168:	clr.b	10(A0)
 		add.l	#12,A0
 		dbra	D0,F00L168
-*
-		.page
-*
-*	fp->idftmd ^= I_NVBITS;
-*
+
+		.page
+
+|	fp->idftmd ^= I_NVBITS;
+
 F00L165:	eor.b	#24,7(A_FP)
-*
-*	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
-*
+
+|	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
+
 		move.b	7(A_FP),R_FPCTL
 		and	#28,R_FPCTL
 		or	#3,R_FPCTL
-*
-*	fp->idfcpt = fp->idfpt1;
-*
+
+|	fp->idfcpt = fp->idfpt1;
+
 		move.b	6(A_FP),8(A_FP)
-*
-*	fp->idftmd |= I_ACTIVE;
-*
+
+|	fp->idftmd |= I_ACTIVE;
+
 		or.b	#2,7(A_FP)
-*
-*	fp->idftrf = trg;
-*
+
+|	fp->idftrf = trg;
+
 		move	TRG(A6),10(A_FP)
-*
-*	*(fpu + (long)FPU_TCV1) = srcval;
-*
-		move	SRCVAL(A6),$8(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TCV1) = srcval;
+
+		move	SRCVAL(A6),0x8(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TSF1) = mltval;
-*
-		move	MLTVAL(A6),$A(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TSF1) = mltval;
+
+		move	MLTVAL(A6),0xA(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TMNT) = fpmant;
-*
-		move	R_FPMANT,$14(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TMNT) = fpmant;
+
+		move	R_FPMANT,0x14(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TEXP) = fpexp;
-*
-		move	R_FPEXP,$16(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TEXP) = fpexp;
+
+		move	R_FPEXP,0x16(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-		.page
-*
-*	if (fp->idftmd & I_VNSUBN)
-*
+
+		.page
+
+|	if (fp->idftmd & I_VNSUBN)
+
 		btst	#3,7(A_FP)
 		beq	F00L169
-*
-*		*(fpu + (long)FPU_TNV1) = fpval;
-*
-		move	R_FPVAL,$1C(A_FPU)
+
+|		|(fpu + (long)FPU_TNV1) = fpval;
+
+		move	R_FPVAL,0x1C(A_FPU)
 		bra	F00L170
-*
-*	else
-*		*(fpu + (long)FPU_TNV0) = fpval;
-*
+
+|	else
+|		|(fpu + (long)FPU_TNV0) = fpval;
+
 F00L169:	move	R_FPVAL,2(A_FPU)
-*
-*	++octype;
-*
+
+|	++octype;
+
 F00L170:	add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TCTL) = fpctl;
-*
+
+|	|(fpu + (long)FPU_TCTL) = fpctl;
+
 		move	R_FPCTL,(A_FPU)
-*
-*	setipl(oldi);
-*
+
+|	setipl(oldi);
+
 		move	OLDI(A6),sr
-*    }
-*
-		.page
-* ------------------------------------------------------------------------------
-* Start function 1 -- Frq 2
-* ------------------------------------------------------------------------------
-*    if (legato) {
-*
-*	legato = 0;
-*	return;
-*    }
+|    }
+
+		.page
+| ------------------------------------------------------------------------------
+| Start function 1 -- Frq 2
+| ------------------------------------------------------------------------------
+|    if (legato) {
+
+|	legato = 0;
+|	return;
+|    }
 FN01:		tst.w	_legato
 		beq	FN01AA
-*
+
 		clr.w	_legato
 		bra	FNEXIT
-*
-*    if (ip->idhfnc[1].idftmd & I_TM_KEY) {
-*
+
+|    if (ip->idhfnc[1].idftmd & I_TM_KEY) {
+
 FN01AA:		move.l	IP(A6),A0
 		move.b	105(A0),D0
@@ -714,29 +714,29 @@
 		btst	#0,D0
 		bne	FN01A
-*
+
 		jmp	FN02
-*
-*	vp = (vce << 4) + 3;
-*
+
+|	vp = (vce << 4) + 3;
+
 FN01A:		move	VCE(A6),D0
 		asl	#4,D0
 		add.w	#3,D0
 		move	D0,VP(A6)
-*
-*	fpu = io_fpu + FPU_OFNC + (vp << 4);
-*
+
+|	fpu = io_fpu + FPU_OFNC + (vp << 4);
+
 		asl	#5,D0
 		ext.l	D0
 		move.l	D0,A_FPU
-		add.l	#_io_fpu+$4000,A_FPU
-*
-*	fp = &ip->idhfnc[1];
-*
+		add.l	#_io_fpu+0x4000,A_FPU
+
+|	fp = &ip->idhfnc[1];
+
 		move.l	#12,A_FP
 		add.l	IP(A6),A_FP
 		add.l	#86,A_FP
-*
-*	pt = &ip->idhpnt[fp->idfpt1];
-*
+
+|	pt = &ip->idhpnt[fp->idfpt1];
+
 		clr.l	D0
 		move.b	6(A_FP),D0
@@ -748,9 +748,9 @@
 		add.l	#242,D0
 		move.l	D0,PT(A6)
-*
-		.page
-*
-*	srcnum = group | fp->idfsrc;
-*
+
+		.page
+
+|	srcnum = group | fp->idfsrc;
+
 		move.w	GROUP(A6),D0
 		ext.l	D0
@@ -759,7 +759,7 @@
 		or	D1,D0
 		move	D0,SRCNUM(A6)
-*
-*	vep = &valents[srcnum];
-*
+
+|	vep = &valents[srcnum];
+
 		add.l	D0,D0
 		move.l	D0,D1
@@ -768,7 +768,7 @@
 		add.l	#_valents,D0
 		move.l	D0,VEP(A6)
-*
-*	smp = vpsms[vp];
-*
+
+|	smp = vpsms[vp];
+
 		move	VP(A6),A0
 		add.l	A0,A0
@@ -776,104 +776,104 @@
 		add.l	#_vpsms,A0
 		move.l	(A0),A_SMP
-*
-*	if (srcnum NE smp->sm) {
-*
+
+|	if (srcnum NE smp->sm) {
+
 		clr	D0
 		move	10(A_SMP),D0
 		cmp	SRCNUM(A6),D0
 		beq	F01L113
-*
-*		(smp->prv)->nxt = smp->nxt;
-*
+
+|		(smp->prv)->nxt = smp->nxt;
+
 		move.l	4(A_SMP),A0
 		move.l	(A_SMP),(A0)
-*
-*		(smp->nxt)->prv = smp->prv;
-*
+
+|		(smp->nxt)->prv = smp->prv;
+
 		move.l	(A_SMP),A0
 		move.l	4(A_SMP),4(A0)
-*
-*		smp->prv = (struct sment *)vep;
-*
+
+|		smp->prv = (struct sment |)vep;
+
 		move.l	VEP(A6),4(A_SMP)
-*
-*		smp->nxt = vep->nxt;
-*
+
+|		smp->nxt = vep->nxt;
+
 		move.l	VEP(A6),A0
 		move.l	(A0),(A_SMP)
-*
-*		(vep->nxt)->prv = smp;
-*
+
+|		(vep->nxt)->prv = smp;
+
 		move.l	VEP(A6),A0
 		move.l	(A0),A0
 		move.l	A_SMP,4(A0)
-*
-*		vep->nxt = smp;
-*
+
+|		vep->nxt = smp;
+
 		move.l	VEP(A6),A0
 		move.l	A_SMP,(A0)
-*
-*		smp->sm = srcnum;
-*
+
+|		smp->sm = srcnum;
+
 		move	SRCNUM(A6),10(A_SMP)
-*
-*	}
-*
-*	mltval = fp->idfmlt;
-*
+
+|	}
+
+|	mltval = fp->idfmlt;
+
 F01L113:	move	2(A_FP),MLTVAL(A6)
-*
-		.page
-*
-*	switch (fp->idfsrc) {
-*
+
+		.page
+
+|	switch (fp->idfsrc) {
+
 		move.b	4(A_FP),D0
 		ext.w	d0
 		cmp	#10,D0
 		bhi	F01L122
-*
+
 		asl	#2,D0
 		lea	F01L123,A0
 		movea.l	0(A0,D0.W),A0
 		jmp	(A0)
-*
-*	case SM_NONE:
-*		mltval = 0;
-*
+
+|	case SM_NONE:
+|		mltval = 0;
+
 F01L116:	clr	MLTVAL(A6)
-*
-*		tsrcval = 0;
-*
+
+|		tsrcval = 0;
+
 		clr	TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F01L114
-*
-*	case SM_RAND:
-*		tsrcval = xgetran(mltval);
-*
+
+|	case SM_RAND:
+|		tsrcval = xgetran(mltval);
+
 F01L117:	move	MLTVAL(A6),(sp)
 		jsr	_xgetran
 		move	D0,TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F01L114
-*
-*	case SM_PTCH:
-*		tsrcval = pch;
-*
+
+|	case SM_PTCH:
+|		tsrcval = pch;
+
 F01L118:	move	PCH(A6),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F01L114
-*
-		.page
-*
-*	case SM_FREQ:
-*		tsrcval = ptoftab[(pch >> 7) & 0x00FF];
-*
+
+		.page
+
+|	case SM_FREQ:
+|		tsrcval = ptoftab[(pch >> 7) & 0x00FF];
+
 F01L119:	move	PCH(A6),D0
 		asr	#7,D0
@@ -883,67 +883,67 @@
 		add.l	#_ptoftab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F01L114
-*
-*	case SM_KVEL:
-*		tsrcval = veltab[trg];
-*
+
+|	case SM_KVEL:
+|		tsrcval = veltab[trg];
+
 F01L120:	move	TRG(A6),A0
 		add.l	A0,A0
 		add.l	#_veltab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F01L114
-*
-*	case SM_KPRS:
-*		tsrcval = prstab[trg];
-*
+
+|	case SM_KPRS:
+|		tsrcval = prstab[trg];
+
 F01L121:	move	TRG(A6),A0
 		add.l	A0,A0
 		add.l	#_prstab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F01L114
-*
-*	default:
-*		tsrcval = vep->val;
-*
+
+|	default:
+|		tsrcval = vep->val;
+
 F01L122:	move.l	VEP(A6),A0
 		move	8(A0),TSRCVAL(A6)
-*
-*	}
-*
-		.page
-*
-*		srcval = addpch(tsrcval, 0);
-*
+
+|	}
+
+		.page
+
+|		srcval = addpch(tsrcval, 0);
+
 F01L114:	move.w	TSRCVAL(A6),D0
 		ext.l	D0
 		asr.l	#5,D0
-*		sub.l	#500,D0
+|		sub.l	#500,D0
 		asl.l	#LSPCH,D0
 		cmp.l	#PITCHMAX,D0
 		ble	F01L129A
-*
+
 		move.l	#PITCHMAX,D0
-*
+
 F01L129A:	move	D0,SRCVAL(A6)
-*
-		.page
-*
-*	if (pt->ipvsrc) {
-*
+
+		.page
+
+|	if (pt->ipvsrc) {
+
 F01L124:	move.l	PT(A6),A0
 		tst.b	6(A0)
 		beq	F01L136
-*
-*		switch (pt->ipvsrc) {
-*
+
+|		switch (pt->ipvsrc) {
+
 		move.l	PT(A6),A0
 		move.b	6(A0),D0
@@ -952,13 +952,13 @@
 		cmp	#9,D0
 		bhi	F01L144
-*
+
 		asl	#2,D0
 		lea	F01L145,A0
 		move.l	0(A0,D0.W),A0
 		jmp	(A0)
-*
-*		case SM_RAND:
-*			ltmp = xgetran(pt_>ipvmlt);
-*
+
+|		case SM_RAND:
+|			ltmp = xgetran(pt_>ipvmlt);
+
 F01L139:	move.l	PT(A6),A0
 		move	4(A0),(sp)
@@ -966,24 +966,24 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F01L137
-*
-*		case SM_PTCH:
-*			ltmp = pch;
-*
+
+|		case SM_PTCH:
+|			ltmp = pch;
+
 F01L140:	move	PCH(A6),A0
 		move.l	A0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F01L137
-*
-		.page
-*
-*		case SM_FREQ:
-*			ltmp = ptoftab[(pch >> 7) & 0x00FF];
-*
+
+		.page
+
+|		case SM_FREQ:
+|			ltmp = ptoftab[(pch >> 7) & 0x00FF];
+
 F01L141:	move	PCH(A6),D0
 		asr	#7,D0
@@ -995,12 +995,12 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F01L137
-*
-*		case SM_KVEL:
-*			ltmp = veltab[trg];
-*
+
+|		case SM_KVEL:
+|			ltmp = veltab[trg];
+
 F01L142:	move	TRG(A6),A0
 		add.l	A0,A0
@@ -1009,14 +1009,14 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F01L137
-*
-		.page
-*
-*		case SM_KPRS:
-*			ltmp = prstab[trg];
-*
+
+		.page
+
+|		case SM_KPRS:
+|			ltmp = prstab[trg];
+
 F01L143:	move	TRG(A6),A0
 		add.l	A0,A0
@@ -1025,14 +1025,14 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F01L137
-*
-		.page
-*
-*		default:
-*			ltmp = valents[group | pt->ipvsrc].val;
-*
+
+		.page
+
+|		default:
+|			ltmp = valents[group | pt->ipvsrc].val;
+
 F01L144:	move.l	PT(A6),A0
 		clr.l	D0
@@ -1048,12 +1048,12 @@
 		move	8(A0,A1.l),D0
 		move.l	D0,LTMP(A6)
-*
-*		}
-*
-*
-		.page
-*
-*		ltmp = (ltmp * pt->ipvmlt) >> 15;
-*
+
+|		}
+
+
+		.page
+
+|		ltmp = (ltmp | pt->ipvmlt) >> 15;
+
 F01L137:	move.l	PT(A6),A0
 		move.w	4(A0),D0
@@ -1063,52 +1063,52 @@
 		asr.l	D1,D0
 		move.l	D0,LTMP(A6)
-*
-*		ltmp += (long)pt->ipval;
-*
+
+|		ltmp += (long)pt->ipval;
+
 		move.l	PT(A6),A0
 		move	2(A0),D0
 		ext.l	D0
 		add.l	D0,LTMP(A6)
-*
-*		if (ltmp GT (long)VALMAX)
-*			ltmp = (long)VALMAX;
-*
+
+|		if (ltmp GT (long)VALMAX)
+|			ltmp = (long)VALMAX;
+
 		cmp.l	#VALMAX,LTMP(A6)
 		ble	F01L146
-*
+
 		move.l	#VALMAX,LTMP(A6)
 		bra	F01L147
-*
-*		else if (ltmp LT (long)VALMIN)
-*			ltmp = (long)VALMIN;
-*
+
+|		else if (ltmp LT (long)VALMIN)
+|			ltmp = (long)VALMIN;
+
 F01L146:	cmp.l	#VALMIN,LTMP(A6)
 		bge	F01L147
-*
+
 		move.l	#VALMIN,LTMP(A6)
-*
-*		tfpval = (short)ltmp;
-*
+
+|		tfpval = (short)ltmp;
+
 F01L147:	move.w	LTMP+2(A6),TFPVAL(A6)
 		bra	F01L149
-*
-*	} else {
-*
-*		tfpval = pt->ipval;
-*
+
+|	} else {
+
+|		tfpval = pt->ipval;
+
 F01L136:	move.l	PT(A6),A0
 		move	2(A0),TFPVAL(A6)
-*
-*	}
-*
-		.page
-*
-*	fpmant = (((long)pt->iptom & 0x0000FFF0L)
-*		* ((long)timemlt & 0x0000FFFFL)) >> 15;
-*
+
+|	}
+
+		.page
+
+|	fpmant = (((long)pt->iptom & 0x0000FFF0L)
+|		| ((long)timemlt & 0x0000FFFFL)) >> 15;
+
 F01L149:	move.l	PT(A6),A0
 		move.w	(A0),D0
 		move.w	D0,D2
-		andi.w	#$FFF0,D0
+		andi.w	#0xFFF0,D0
 		move.w	_timemlt,D1
 		muls	D1,D0
@@ -1116,22 +1116,22 @@
 		asr.l	D1,D0
 		move	D0,R_FPMANT
-*
-*	fpexp = expbit[pt->iptim & 0x000F];
-*
-		and	#$000F,D2
+
+|	fpexp = expbit[pt->iptim & 0x000F];
+
+		and	#0x000F,D2
 		move	D2,A0
 		add.l	A0,A0
 		add.l	#_expbit,A0
 		move	(A0),R_FPEXP
-*
-		.page
-*
-*		fp->idfpch = ip->idhos2v;
-*
+
+		.page
+
+|		fp->idfpch = ip->idhos2v;
+
 F01L155:	move.l	IP(A6),A0
 		move.w	80(A0),(A_FP)
-*
-*		fpval = addpch(tfpval, fp_>idfpch);
-*
+
+|		fpval = addpch(tfpval, fp_>idfpch);
+
 		move.w	TFPVAL(A6),D1
 		ext.l	D1
@@ -1144,117 +1144,117 @@
 		cmp.l	#PITCHMAX,D0
 		ble	F01L155A
-*
+
 		move.l	#PITCHMAX,D0
-*
+
 F01L155A:	move	D0,R_FPVAL
-*
-		.page
-*
+
+		.page
+
 		move.b	5(A_FP),D0
 		ext.w	D0
 		sub.w	#1,D0
 		movea.l	PT(A6),A0
-*
-*	oldi = setipl(FPU_DI);
-*
+
+|	oldi = setipl(FPU_DI);
+
 		move	sr,OLDI(A6)
 		move	#FPU_DI,sr
-*
+
 F01L168:	clr.b	10(A0)
 		add.l	#12,a0
 		dbra	D0,F01L168
-*
-		.page
-*
-*	fp->idftmd ^= I_NVBITS;
-*
+
+		.page
+
+|	fp->idftmd ^= I_NVBITS;
+
 F01L165:	eor.b	#24,7(A_FP)
-*
-*	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
-*
+
+|	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
+
 		move.b	7(A_FP),R_FPCTL
 		and	#28,R_FPCTL
 		or	#3,R_FPCTL
-*
-*	fp->idfcpt = fp->idfpt1;
-*
+
+|	fp->idfcpt = fp->idfpt1;
+
 		move.b	6(A_FP),8(A_FP)
-*
-*	fp->idftmd |= I_ACTIVE;
-*
+
+|	fp->idftmd |= I_ACTIVE;
+
 		or.b	#2,7(A_FP)
-*
-*	fp->idftrf = trg;
-*
+
+|	fp->idftrf = trg;
+
 		move	TRG(A6),10(A_FP)
-*
-*	*(fpu + (long)FPU_TCV1) = srcval;
-*
-		move	SRCVAL(A6),$8(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TCV1) = srcval;
+
+		move	SRCVAL(A6),0x8(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TSF1) = mltval;
-*
-		move	MLTVAL(A6),$A(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TSF1) = mltval;
+
+		move	MLTVAL(A6),0xA(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TMNT) = fpmant;
-*
-		move	R_FPMANT,$14(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TMNT) = fpmant;
+
+		move	R_FPMANT,0x14(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TEXP) = fpexp;
-*
-		move	R_FPEXP,$16(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TEXP) = fpexp;
+
+		move	R_FPEXP,0x16(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-		.page
-*
-*	if (fp->idftmd & I_VNSUBN)
-*
+
+		.page
+
+|	if (fp->idftmd & I_VNSUBN)
+
 		btst	#3,7(A_FP)
 		beq	F01L169
-*
-*		*(fpu + (long)FPU_TNV1) = fpval;
-*
-		move	R_FPVAL,$1C(A_FPU)
+
+|		|(fpu + (long)FPU_TNV1) = fpval;
+
+		move	R_FPVAL,0x1C(A_FPU)
 		bra	F01L170
-*
-*	else
-*		*(fpu + (long)FPU_TNV0) = fpval;
-*
+
+|	else
+|		|(fpu + (long)FPU_TNV0) = fpval;
+
 F01L169:	move	R_FPVAL,2(A_FPU)
-*
-*	++octype;
-*
+
+|	++octype;
+
 F01L170:	add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TCTL) = fpctl;
-*
+
+|	|(fpu + (long)FPU_TCTL) = fpctl;
+
 		move	R_FPCTL,(A_FPU)
-*
-*	setipl(oldi);
-*
+
+|	setipl(oldi);
+
 		move	OLDI(A6),sr
-*
-		.page
-* ------------------------------------------------------------------------------
-* Start function 2 -- Frq 3
-* ------------------------------------------------------------------------------
-*
-*    if (ip->idhfnc[2].idftmd & I_TM_KEY) {
-*
+
+		.page
+| ------------------------------------------------------------------------------
+| Start function 2 -- Frq 3
+| ------------------------------------------------------------------------------
+
+|    if (ip->idhfnc[2].idftmd & I_TM_KEY) {
+
 FN02:		move.l	IP(A6),A0
 		move.b	117(A0),D0
@@ -1263,29 +1263,29 @@
 		btst	#0,D0
 		bne	FN02A
-*
+
 		jmp	FN03
-*
-*	vp = (vce << 4) + 5;
-*
+
+|	vp = (vce << 4) + 5;
+
 FN02A:		move	VCE(A6),D0
 		asl	#4,D0
 		add.w	#5,D0
 		move	D0,VP(A6)
-*
-*	fpu = io_fpu + FPU_OFNC + (vp << 4);
-*
+
+|	fpu = io_fpu + FPU_OFNC + (vp << 4);
+
 		asl	#5,D0
 		ext.l	D0
 		move.l	D0,A_FPU
-		add.l	#_io_fpu+$4000,A_FPU
-*
-*	fp = &ip->idhfnc[2];
-*
+		add.l	#_io_fpu+0x4000,A_FPU
+
+|	fp = &ip->idhfnc[2];
+
 		move.l	#24,A_FP
 		add.l	IP(A6),A_FP
 		add.l	#86,A_FP
-*
-*	pt = &ip->idhpnt[fp->idfpt1];
-*
+
+|	pt = &ip->idhpnt[fp->idfpt1];
+
 		clr.l	D0
 		move.b	6(A_FP),D0
@@ -1297,9 +1297,9 @@
 		add.l	#242,D0
 		move.l	D0,PT(A6)
-*
-		.page
-*
-*	srcnum = group | fp->idfsrc;
-*
+
+		.page
+
+|	srcnum = group | fp->idfsrc;
+
 		move.w	GROUP(A6),D0
 		ext.l	D0
@@ -1308,7 +1308,7 @@
 		or	D1,D0
 		move	D0,SRCNUM(A6)
-*
-*	vep = &valents[srcnum];
-*
+
+|	vep = &valents[srcnum];
+
 		add.l	D0,D0
 		move.l	D0,D1
@@ -1317,7 +1317,7 @@
 		add.l	#_valents,D0
 		move.l	D0,VEP(A6)
-*
-*	smp = vpsms[vp];
-*
+
+|	smp = vpsms[vp];
+
 		move	VP(A6),A0
 		add.l	A0,A0
@@ -1325,104 +1325,104 @@
 		add.l	#_vpsms,A0
 		move.l	(A0),A_SMP
-*
-*	if (srcnum NE smp->sm) {
-*
+
+|	if (srcnum NE smp->sm) {
+
 		clr	D0
 		move	10(A_SMP),D0
 		cmp	SRCNUM(A6),D0
 		beq	F02L113
-*
-*		(smp->prv)->nxt = smp->nxt;
-*
+
+|		(smp->prv)->nxt = smp->nxt;
+
 		move.l	4(A_SMP),A0
 		move.l	(A_SMP),(A0)
-*
-*		(smp->nxt)->prv = smp->prv;
-*
+
+|		(smp->nxt)->prv = smp->prv;
+
 		move.l	(A_SMP),A0
 		move.l	4(A_SMP),4(A0)
-*
-*		smp->prv = (struct sment *)vep;
-*
+
+|		smp->prv = (struct sment |)vep;
+
 		move.l	VEP(A6),4(A_SMP)
-*
-*		smp->nxt = vep->nxt;
-*
+
+|		smp->nxt = vep->nxt;
+
 		move.l	VEP(A6),A0
 		move.l	(A0),(A_SMP)
-*
-*		(vep->nxt)->prv = smp;
-*
+
+|		(vep->nxt)->prv = smp;
+
 		move.l	VEP(A6),A0
 		move.l	(A0),A0
 		move.l	A_SMP,4(A0)
-*
-*		vep->nxt = smp;
-*
+
+|		vep->nxt = smp;
+
 		move.l	VEP(A6),A0
 		move.l	A_SMP,(A0)
-*
-*		smp->sm = srcnum;
-*
+
+|		smp->sm = srcnum;
+
 		move	SRCNUM(A6),10(A_SMP)
-*
-*	}
-*
-*	mltval = fp->idfmlt;
-*
+
+|	}
+
+|	mltval = fp->idfmlt;
+
 F02L113:	move	2(A_FP),MLTVAL(A6)
-*
-		.page
-*
-*	switch (fp->idfsrc) {
-*
+
+		.page
+
+|	switch (fp->idfsrc) {
+
 		move.b	4(A_FP),D0
 		ext.w	d0
 		cmp	#10,D0
 		bhi	F02L122
-*
+
 		asl	#2,D0
 		lea	F02L123,A0
 		movea.l	0(A0,D0.W),A0
 		jmp	(A0)
-*
-*	case SM_NONE:
-*		mltval = 0;
-*
+
+|	case SM_NONE:
+|		mltval = 0;
+
 F02L116:	clr	MLTVAL(A6)
-*
-*		tsrcval = 0;
-*
+
+|		tsrcval = 0;
+
 		clr	TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F02L114
-*
-*	case SM_RAND:
-*		tsrcval = xgetran(mltval);
-*
+
+|	case SM_RAND:
+|		tsrcval = xgetran(mltval);
+
 F02L117:	move	MLTVAL(A6),(sp)
 		jsr	_xgetran
 		move	D0,TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F02L114
-*
-*	case SM_PTCH:
-*		tsrcval = pch;
-*
+
+|	case SM_PTCH:
+|		tsrcval = pch;
+
 F02L118:	move	PCH(A6),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F02L114
-*
-		.page
-*
-*	case SM_FREQ:
-*		tsrcval = ptoftab[(pch >> 7) & 0x00FF];
-*
+
+		.page
+
+|	case SM_FREQ:
+|		tsrcval = ptoftab[(pch >> 7) & 0x00FF];
+
 F02L119:	move	PCH(A6),D0
 		asr	#7,D0
